import { Injector } from '@angular/core';
import { filters, services } from 'typescript-angular-utilities';
import __object = services.object;
import __date = services.date;
import __string = services.string;
import __transform = services.transform;
import * as cardFilters from '../filters/index';
import { CardContainerBuilder } from './cardContainerBuilder.service';
export interface IFilterBuilder {
    buildFilterGroup(settings: cardFilters.IFilterGroupSettings): cardFilters.IFilterGroup;
    buildModeFilterGroup<TItemType>(settings: cardFilters.IModeFilterGroupSettings<TItemType>): cardFilters.IModeFilterGroup;
    buildRangeFilterGroup<TItemType>(settings: cardFilters.IRangeFilterGroupSettings<TItemType>): cardFilters.IRangeFilterGroup;
    buildSelectFilter<TDataType, TFilterType>(settings: cardFilters.ISelectFilterSettings<TDataType, TFilterType>): cardFilters.ISelectFilter<TDataType>;
    buildDateFilter(valueSelector: cardFilters.IDateFilterSettings): cardFilters.IDateFilter;
    buildColumnSearchFilter(): cardFilters.ColumnSearchFilter;
    addCustomFilter(filter: filters.IFilter): void;
}
export declare class FilterBuilder implements IFilterBuilder {
    private injector;
    private parent;
    private object;
    private string;
    private date;
    private transformService;
    constructor(injector: Injector, object: __object.ObjectUtility, string: __string.StringUtility, date: __date.DateUtility, transform: __transform.TransformService);
    init(parent: CardContainerBuilder): void;
    buildFilterGroup(settings: cardFilters.IFilterGroupSettings): cardFilters.IFilterGroup;
    buildModeFilterGroup<TItemType>(settings: cardFilters.IModeFilterGroupSettings<TItemType>): cardFilters.IModeFilterGroup;
    buildRangeFilterGroup<TItemType>(settings: cardFilters.IRangeFilterGroupSettings<TItemType>): cardFilters.IRangeFilterGroup;
    buildSelectFilter<TDataType, TFilterType>(settings: cardFilters.ISelectFilterSettings<TDataType, TFilterType>): cardFilters.ISelectFilter<TDataType>;
    buildDateFilter(settings: cardFilters.IDateFilterSettings): cardFilters.IDateFilter;
    buildColumnSearchFilter(): cardFilters.ColumnSearchFilter;
    addCustomFilter(filter: filters.IFilter): void;
}
