import { services, filters } from 'typescript-angular-utilities';
import __object = services.object;
export interface IFilterGroupSettings {
    label: string;
    type: string;
    options: IFilterOption[];
    serialize?: {
        (): any;
    };
}
export interface IFilterOption {
    active?: boolean;
    label: string;
    type?: string;
    value?: any;
    filter<TItemType>(item: TItemType): boolean;
    serialize?: {
        (): any;
    };
}
export interface IFilterGroup extends filters.IFilterWithCounts, filters.ISerializableFilter<any> {
    label: string;
    type: string;
    options: IFilterOption[];
    activeOption: IFilterOption;
    setActiveOption(index: number): void;
    setOptionCounts(counts: number[]): void;
}
export declare class FilterGroup extends filters.SerializableFilter<any> implements IFilterGroup {
    label: string;
    type: string;
    options: IFilterOption[];
    template: string;
    settings: IFilterGroupSettings;
    private _activeOption;
    object: __object.IObjectUtility;
    constructor(settings: IFilterGroupSettings, object: __object.IObjectUtility);
    initOptions(): void;
    activeOption: IFilterOption;
    private setDefaultOption();
    filter<TItemType>(item: TItemType): boolean;
    serialize(): any;
    setActiveOption(index: number): void;
    setOptionCounts(counts: number[]): void;
    updateOptionCounts<TDataType>(filteredDataSet: TDataType[]): void;
}
