import { OnInit } from '@angular/core';
import * as ui from 'angular-ui-router';
export interface IStep {
    title: string;
    subtitle?: string;
    onClick?: {
        (): Promise<any>;
    };
    stateName?: string;
    count?: {
        (): number;
    };
    isCompleted?: boolean | {
        (): boolean;
    };
    isValid?: boolean | {
        (): boolean;
    };
    isCurrent?: boolean;
}
export interface IConfiguredStep extends IStep {
    isActive: boolean;
    isLoading: boolean;
    getCompleted(): boolean;
    getValid(): boolean;
}
export declare class MultiStepIndicatorComponent implements OnInit {
    steps: IConfiguredStep[];
    numbered: boolean;
    checked: boolean;
    private _state;
    constructor(state: ui.IStateService);
    ngOnInit(): void;
    onClick(step: IConfiguredStep): Promise<void>;
    anyLoading(): boolean;
    private configureSteps();
    private redirectToState(step);
    private clearCurrentState();
    private getIsCompleted(step);
    private setIsCompleted(step, isCompleted);
    private getIsValid(step);
}
